Package com.microblink.blinkid.entities.recognizers.blinkid.generic.barcode

# Class BarcodeResult

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.barcode.BarcodeResult

public final class BarcodeResult extends Object
Contains data extracted from the barcode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BarcodeResult(long nativeContext, Object keep)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalNameInformation()`
  The additional name information of the document owner.
  `String`
  `getAddress()`
  The address of the document owner.
  `BarcodeType`
  `getBarcodeType()`
  The format of the scanned barcode.
  `String`
  `getCity()`
  The address city portion of the document owner.
  `Date`
  `getDateOfBirth()`
  The date of birth of the document owner.
  `Date`
  `getDateOfExpiry()`
  The date of expiry of the document.
  `Date`
  `getDateOfIssue()`
  The date of issue of the document.
  `String`
  `getDocumentAdditionalNumber()`
  The additional number of the document.
  `String`
  `getDocumentNumber()`
  The document number.
  `BarcodeDriverLicenseDetailedInfo`
  `getDriverLicenseDetailedInfo()`
  The driver license detailed info.
  `String`
  `getEmployer()`
  The employer of the document owner.
  `BarcodeElements`
  `getExtendedElements()`
  Document specific extended elements that contain all barcode fields in their original form.
  `String`
  `getFirstName()`
  The first name of the document owner.
  `String`
  `getFullName()`
  The full name of the document owner.
  `String`
  `getIssuingAuthority()`
  The issuing authority of the document.
  `String`
  `getJurisdiction()`
  The address jurisdiction code portion of the document owner.
  `String`
  `getLastName()`
  The last name of the document owner.
  `String`
  `getMaritalStatus()`
  The marital status of the document owner.
  `String`
  `getMiddleName()`
  The middle name of the document owner.
  `String`
  `getNationality()`
  The nationality of the document owner.
  `String`
  `getPersonalIdNumber()`
  The personal identification number.
  `String`
  `getPlaceOfBirth()`
  The place of birth of the document owner.
  `String`
  `getPostalCode()`
  The address postal code portion of the document owner.
  `String`
  `getProfession()`
  The profession of the document owner.
  `String`
  `getRace()`
  The race of the document owner.
  `byte[]`
  `getRawData()`
  The raw bytes contained inside barcode.
  `String`
  `getReligion()`
  The religion of the document owner.
  `String`
  `getResidentialStatus()`
  The residential status of the document owner.
  `String`
  `getSex()`
  The sex of the document owner.
  `String`
  `getStreet()`
  The address street portion of the document owner.
  `String`
  `getStringData()`
  String representation of data inside barcode.
  `boolean`
  `isEmpty()`
  Flag which indicates whether this result is empty or not.
  `boolean`
  `isUncertain()`
  True if returned result is uncertain, i.e.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BarcodeResult

    public BarcodeResult(long nativeContext, @Nullable Object keep)
    Parameters:
      `nativeContext` - Native barcode result.
      `keep` - Owner of the native barcode result.

- ## Method Details

  - ### isUncertain

    public boolean isUncertain()
    True if returned result is uncertain, i.e. if scanned barcode was incomplete (i.e. (has parts of it missing).

  - ### getStringData

    @NonNull public String getStringData()
    String representation of data inside barcode.

  - ### getRawData

    @NonNull public byte[] getRawData()
    The raw bytes contained inside barcode.

  - ### getBarcodeType

    @NonNull public BarcodeType getBarcodeType()
    The format of the scanned barcode.

  - ### getFirstName

    @NonNull public String getFirstName()
    The first name of the document owner.

  - ### getLastName

    @NonNull public String getLastName()
    The last name of the document owner.

  - ### getFullName

    @NonNull public String getFullName()
    The full name of the document owner.

  - ### getMiddleName

    @NonNull public String getMiddleName()
    The middle name of the document owner.

  - ### getAdditionalNameInformation

    @NonNull public String getAdditionalNameInformation()
    The additional name information of the document owner.

  - ### getAddress

    @NonNull public String getAddress()
    The address of the document owner.

  - ### getStreet

    @NonNull public String getStreet()
    The address street portion of the document owner.

  - ### getPostalCode

    @NonNull public String getPostalCode()
    The address postal code portion of the document owner.

  - ### getCity

    @NonNull public String getCity()
    The address city portion of the document owner.

  - ### getJurisdiction

    @NonNull public String getJurisdiction()
    The address jurisdiction code portion of the document owner.

  - ### getPlaceOfBirth

    @NonNull public String getPlaceOfBirth()
    The place of birth of the document owner.

  - ### getNationality

    @NonNull public String getNationality()
    The nationality of the document owner.

  - ### getRace

    @NonNull public String getRace()
    The race of the document owner.

  - ### getReligion

    @NonNull public String getReligion()
    The religion of the document owner.

  - ### getProfession

    @NonNull public String getProfession()
    The profession of the document owner.

  - ### getMaritalStatus

    @NonNull public String getMaritalStatus()
    The marital status of the document owner.

  - ### getResidentialStatus

    @NonNull public String getResidentialStatus()
    The residential status of the document owner.

  - ### getEmployer

    @NonNull public String getEmployer()
    The employer of the document owner.

  - ### getSex

    @NonNull public String getSex()
    The sex of the document owner.

  - ### getDateOfBirth

    @NonNull public Date getDateOfBirth()
    The date of birth of the document owner.

  - ### getDateOfIssue

    @NonNull public Date getDateOfIssue()
    The date of issue of the document.

  - ### getDateOfExpiry

    @NonNull public Date getDateOfExpiry()
    The date of expiry of the document.

  - ### getDocumentNumber

    @NonNull public String getDocumentNumber()
    The document number.

  - ### getPersonalIdNumber

    @NonNull public String getPersonalIdNumber()
    The personal identification number.

  - ### getDocumentAdditionalNumber

    @NonNull public String getDocumentAdditionalNumber()
    The additional number of the document.

  - ### getIssuingAuthority

    @NonNull public String getIssuingAuthority()
    The issuing authority of the document.

  - ### getDriverLicenseDetailedInfo

    @NonNull public BarcodeDriverLicenseDetailedInfo getDriverLicenseDetailedInfo()
    The driver license detailed info.

  - ### getExtendedElements

    @NonNull public BarcodeElements getExtendedElements()
    Document specific extended elements that contain all barcode fields in their original form. Currently this is only filled for AAMVACompliant documents.

  - ### isEmpty

    @NonNull public boolean isEmpty()
    Flag which indicates whether this result is empty or not.